Package Scientific :: Package DistributedComputing :: Module TaskManager :: Class Task

[frames] | no frames]

# Class Task

    object --+
             |
            Task

Describes a task inside the task manager.

Instance Methods

__init__(self, tag, parameters, task_id) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, tag, parameters, task_id)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Parameters:
  - `tag` (`str`) - the tag of the computational task
  - `parameters` (`tuple`) - the parameters of the task
  - `task_id` (`str`) - the task id
Overrides: object.__init__